Subject: bug#38099: closed (Re: [bug#38099] gnu: kdevelop: Update to 5.4.4.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Dec 2019 10:58:02 +0000

Your bug report

#38099: [PATCH 0/3] Upate kdevelop to 5.4.4 and deprecate kdevplatform package

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38099: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38099
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#38099] gnu: kdevelop: Update to 5.4.4.
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Wed, 11 Dec 2019 11:57:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the review.

I finally push this as e87b83b62c2d21e0efc4ae62a115405aeef756a6.

I fixed the errors Efrain reported and also based kdevelop on the (new)
qt-build-system) - which avoids `wrap-program` here,

I also took the change and updated to 5.4.5

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |

Subject: [PATCH 0/3] Upate kdevelop to 5.4.4 and deprecate kdevplatform package
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Thu, 7 Nov 2019 11:21:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Also update siblings.

kdevplatform was merged into kdevelop as of 5.2.x.

Hartmut Goebel (3):
  gnu: kdevelop-pg-qt: Update to 2.2.0.
  gnu: kdevelop: Update to 5.4.4.
  gnu: Deprecate kdevplatform package.

 gnu/packages/kde.scm | 152 ++++++++++++++++---------------------------
 1 file changed, 55 insertions(+), 97 deletions(-)

-- 
2.21.0